> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Find Salespersons

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/salesperson

Retrieval of salespersons in the system

Reference: https://docs.navipartner.com/apis/api-reference/pos/salesperson/list-salesperson

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

### Query parameters

- `email` (string, optional)
- `pageSize` (integer, optional)
- `pageKey` (string, optional)
- `lastRowVersion` (string, optional)
- `sync` (boolean, optional)

## Response

### 200

- `morePages` (boolean, required)
- `nextPageKey` (string, required)
- `nextPageURL` (string, required)
- `data` (list of ListSalesperson, required)

## Types

### ListSalesperson

Information about a salesperson

- `blocked` (boolean, required) — Specifies if the salesperson is blocked from using the system
- `code` (string, required) — The code of the Salesperson
- `email` (string, required) — The email of the Salesperson
- `id` (UUID, required) — The id of a salesperson.
- `isSupervisor` (boolean, required) — Specifies if it is a Supervisor
- `name` (string, required) — The name of the Salesperson
- `phoneNo` (string, required) — The Phone no. of the Salesperson
- `posUnitGroup` (string, required) — The POS Unit Group of the Salesperson
- `rowVersion` (string, optional)

## Examples

### Paginated (All)

**Response**

```json
{
  "morePages": true,
  "nextPageKey": "c29tZSBiYXNlNjQgc3RyaW5n",
  "nextPageURL": "https://api.npretail.app/tenant/env/company/pos/salesperson?pageKey=c29tZSBiYXNlNjQgc3RyaW5n&lastRowVersion=12345678901234567890",
  "data": [
    {
      "blocked": false,
      "code": "JOHN",
      "email": "john.doe@yahoo.com",
      "id": "7c42dfde-1f7c-4afa-bd94-1bcc94d96d72",
      "isSupervisor": true,
      "name": "John Doe",
      "phoneNo": "+45521535353",
      "posUnitGroup": "1"
    },
    {
      "blocked": true,
      "code": "JANE",
      "email": "jane.doe@yahoo.com",
      "id": "fdbd5bd1-77b4-4224-9267-eaef153b41e9",
      "isSupervisor": true,
      "name": "Jane Doe",
      "phoneNo": "+45521535353",
      "posUnitGroup": "1"
    }
  ]
}
```

**SDK Code**

```python Paginated (All)
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson"

querystring = {"pageSize":"50"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Paginated (All)
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Paginated (All)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Paginated (All)
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Paginated (All)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Paginated (All)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Paginated (All)
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Paginated (All)
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Paginated (By Email)

**Response**

```json
{
  "morePages": true,
  "nextPageKey": "c29tZSBiYXNlNjQgc3RyaW5n",
  "nextPageURL": "https://api.npretail.app/tenant/env/company/pos/salesperson?pageKey=c29tZSBiYXNlNjQgc3RyaW5n&lastRowVersion=12345678901234567890",
  "data": [
    {
      "blocked": false,
      "code": "JOHN",
      "email": "john.doe@yahoo.com",
      "id": "7c42dfde-1f7c-4afa-bd94-1bcc94d96d72",
      "isSupervisor": true,
      "name": "John Doe",
      "phoneNo": "+45521535353",
      "posUnitGroup": "1"
    }
  ]
}
```

**SDK Code**

```python Paginated (By Email)
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson"

querystring = {"pageSize":"50","email":"john.doe@yahoo.com"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Paginated (By Email)
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Paginated (By Email)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Paginated (By Email)
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Paginated (By Email)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Paginated (By Email)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Paginated (By Email)
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Paginated (By Email)
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson?pageSize=50&email=john.doe%40yahoo.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```